#version 330
in vec4 mp;
in vec3 normal, pos;
in vec2 tc;
out vec4 fragColor;

uniform sampler1D tex1;
uniform float temps;
void main(void) {
  // 1600/168 = 9.5238
  // (1600-168)/1600 = .895
  float p = 0.1 + pow(temps,0.5);
  float y = 9.5238 * pos.y * 1.5 + 0.05;
  fragColor = mix(vec4(0.0),texture(tex1, pow(y, 1.0f / p) - p), min(temps, 1.0));
  mp;normal;tc;
}
